Bug 166589 - mount/umount can cause the block device reads to fail
Summary: mount/umount can cause the block device reads to fail
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Peter Staubach
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
: 161985 169557 (view as bug list)
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-08-23 17:16 UTC by Wendy Cheng
Modified: 2018-10-19 19:01 UTC (History)
3 users (show)

Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 19:37:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
upstream patch that seems to fix the issue. (1.09 KB, patch)
2005-08-23 17:23 UTC, Wendy Cheng
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:808 normal SHIPPED_LIVE Important: kernel security update 2005-10-27 04:00:00 UTC
Red Hat Product Errata RHSA-2006:0132 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 3 2006-03-09 16:31:00 UTC

Description Wendy Cheng 2005-08-23 17:16:31 UTC
Description of problem:
"dd" command fails to read the block device while mounting/unmounting the device

Version-Release number of selected component (if applicable):
RHEL4 U1

How reproducible:
Always

Steps to Reproduce:
    Please run the following scripts in parallel.

   1) script1.sh

     while :
     do
           dd if=/dev/sdb1 of=/dev/null bs=1M count=100
     done


   2) script2.sh

     while :
     do
           umount /mnt/work1
           mount -t ext3 /dev/sdb1 /mnt/work1
     done
  
Actual results:
ããdd command fails.
  The following messages are output.
      dd: reading `/dev/sdb1': Input/output error
      0+1 records in
      0+1 records out

Expected results:
ããdd command does not fail.
  The following messages are output.
      100+0 records in
      100+0 records out

Additional info:
  The following change of bitkeeper seems to be related.

  http://lin ux.bkbits.net:8080/linux-2.6/patch@1.1966.39.96

Comment 3 Wendy Cheng 2005-08-23 17:23:41 UTC
Created attachment 118010 [details]
upstream patch that seems to fix the issue.

Comment 17 Red Hat Bugzilla 2006-03-07 19:37:50 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html


Comment 19 Peter Staubach 2006-03-09 14:38:55 UTC
*** Bug 169557 has been marked as a duplicate of this bug. ***

Comment 20 Peter Staubach 2006-03-09 14:41:24 UTC
*** Bug 161985 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.